// Node.js built-in modules
import * as fs from 'fs';
import * as path from 'path';
import { exec, spawn } from 'child_process';
import { promisify } from 'util';
import { EventEmitter } from 'events';
import net from 'net';
import * as http from 'http';
import * as https from 'https';

export {
  fs,
  path,
  exec,
  spawn,
  promisify,
  EventEmitter,
  net,
  http,
  https
};

// @push.rocks scope
import * as smartpath from '@push.rocks/smartpath';
import * as smartfile from '@push.rocks/smartfile';
import * as smartstream from '@push.rocks/smartstream';

export {
  smartpath,
  smartfile,
  smartstream,
};

// Third party scope
import axios from 'axios';

export {
  axios
};

// Common utilities
export const execAsync = promisify(exec);